## org.eclipse.datatools.modelbase.sql.schema
Interface Catalog

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Subinterfaces:
  SybaseASECatalog

All Known Implementing Classes:
  org.eclipse.datatools.modelbase.sql.schema.impl.CatalogImpl, JDBCCatalog, SybaseASABaseCatalog, SybaseASACatalog, SybaseASECatalog, SybaseASECatalogImpl

    public interface Catalog

extends SQLObject

A representation of the model object 'Catalog'.

The following features are supported:

- `Database`
- `Schemas`

See Also:
  `SQLSchemaPackage.getCatalog()`

Method Summary
`Database` `getDatabase()` Returns the value of the 'Database' reference.
`org.eclipse.emf.common.util.EList` `getSchemas()` Returns the value of the 'Schemas' reference list.
`void` `setDatabase(Database value)` Sets the value of the '`Database`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDatabase

    Database getDatabase()

  Returns the value of the 'Database' reference. It is bidirectional and its opposite is '`Catalogs`'.

  If the meaning of the 'Database' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Database' reference.
  See Also:
    `setDatabase(Database)`, `SQLSchemaPackage.getCatalog_Database()`, `Database.getCatalogs()`

### setDatabase

    void setDatabase(Database value)

  Sets the value of the '`Database`' reference.

  Parameters:
    `value` - the new value of the 'Database' reference.
  See Also:
    `getDatabase()`

### getSchemas

    org.eclipse.emf.common.util.EList getSchemas()

  Returns the value of the 'Schemas' reference list. The list contents are of type `Schema`. It is bidirectional and its opposite is '`Catalog`'.

  If the meaning of the 'Schemas' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Schemas' reference list.
  See Also:
    `SQLSchemaPackage.getCatalog_Schemas()`, `Schema.getCatalog()`